package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyBillDailyQueryRequest struct {
	/*
	   请求入参     */
	DailyRequest *domain.AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest `json:"daily_request" required:"true" `
}

func (s *AlibabaTclsAelophyBillDailyQueryRequest) SetDailyRequest(v domain.AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest) *AlibabaTclsAelophyBillDailyQueryRequest {
	s.DailyRequest = &v
	return s
}

func (req *AlibabaTclsAelophyBillDailyQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.DailyRequest != nil {
		paramMap["daily_request"] = util.ConvertStruct(*req.DailyRequest)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyBillDailyQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
